For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTEvaluate an Unleash context against a change request preview.
      • POSTEvaluate an Unleash context against a set of environments and projects.
      • POSTBatch evaluate an Unleash context against a set of environments and projects.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIPlayground

Evaluate an Unleash context against a set of environments and projects.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/playground
POST
/api/admin/playground
$curl -X POST https://app.unleash-instance.example.com/api/admin/playground \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "environment": "development",
> "context": {
> "appName": "My cool application."
> }
>}'
1{
2 "input": {
3 "environment": "development",
4 "context": {
5 "appName": "My cool application.",
6 "currentTime": "2022-07-05T12:56:41+02:00",
7 "properties": {
8 "customContextField": "this is one!",
9 "otherCustomField": "3"
10 },
11 "remoteAddress": "192.168.1.1",
12 "sessionId": "b65e7b23-fec0-4814-a129-0e9861ef18fc",
13 "userId": "username@provider.com",
14 "environment": "string"
15 },
16 "projects": [
17 "my-project"
18 ]
19 },
20 "features": [
21 {
22 "name": "my-feature",
23 "projectId": "my-project",
24 "strategies": {
25 "result": "unknown",
26 "data": [
27 {
28 "name": "string",
29 "id": "3AECCF7E-FF82-4174-8287-8EBE06079A50",
30 "result": {
31 "evaluationStatus": "incomplete",
32 "enabled": false
33 },
34 "disabled": false,
35 "segments": [
36 {
37 "id": 1,
38 "name": "segment A",
39 "result": true,
40 "constraints": [
41 {
42 "contextName": "appName",
43 "operator": "IN",
44 "result": true,
45 "caseInsensitive": false,
46 "inverted": false,
47 "values": [
48 "my-app",
49 "my-other-app"
50 ],
51 "value": "my-app"
52 }
53 ]
54 }
55 ],
56 "constraints": [
57 {
58 "contextName": "appName",
59 "operator": "IN",
60 "result": true,
61 "caseInsensitive": false,
62 "inverted": false,
63 "values": [
64 "my-app",
65 "my-other-app"
66 ],
67 "value": "my-app"
68 }
69 ],
70 "parameters": {
71 "myParam1": "param value"
72 },
73 "links": {
74 "edit": "/projects/some-project/features/some-feature/strategies/edit?environmentId=some-env&strategyId= 3AECCF7E-FF82-4174-8287-8EBE06079A50"
75 },
76 "title": "Beta rollout"
77 }
78 ]
79 },
80 "isEnabledInCurrentEnvironment": true,
81 "isEnabled": true,
82 "variant": {
83 "name": "green",
84 "enabled": true
85 },
86 "variants": [
87 {
88 "name": "blue_group",
89 "weight": 1.1,
90 "weightType": "variable",
91 "stickiness": "custom.context.field",
92 "payload": {
93 "type": "json",
94 "value": "{\"color\": \"red\"}"
95 },
96 "overrides": [
97 {
98 "contextName": "userId",
99 "values": [
100 "red",
101 "blue"
102 ]
103 }
104 ]
105 }
106 ],
107 "hasUnsatisfiedDependency": true
108 }
109 ]
110}

Deprecated. Will be removed in the next Unleash major update. Use the provided context, environment, and projects to evaluate toggles on this Unleash instance. Returns a list of all toggles that match the parameters and what they evaluate to. The response also contains the input parameters that were provided.

Was this page helpful?
Previous

Batch evaluate an Unleash context against a set of environments and projects.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

playgroundRequestSchema
environmentstringRequired
The environment to evaluate feature flags in.
contextobjectRequired
The Unleash context as modeled in client SDKs
projectslist of strings or enumOptional
A list of projects to check for feature flags in.

Response

playgroundResponseSchema
inputobject
The given input used to evaluate the features.
featureslist of objects
The list of features that have been evaluated.

Errors

400
Bad Request Error
401
Unauthorized Error